diff --git a/src/app/rpmostree-builtin-livefs.c b/src/app/rpmostree-builtin-livefs.c
index a492df7a7f..9e66bfdc4c 100644
--- a/src/app/rpmostree-builtin-livefs.c
+++ b/src/app/rpmostree-builtin-livefs.c
@@ -34,7 +34,8 @@ static gboolean opt_replace;
 
 static GOptionEntry option_entries[] = {
   { "dry-run", 'n', 0, G_OPTION_ARG_NONE, &opt_dry_run, "Only perform analysis, do not make changes", NULL },
-  { "replace", 0, 0, G_OPTION_ARG_NONE, &opt_replace, "Completely replace all files in /usr", NULL },
+  /* Known broken with kernel updates; see https://github.com/projectatomic/rpm-ostree/issues/1495 */
+  { "dangerous-do-not-use-replace", 0, G_OPTION_FLAG_HIDDEN, G_OPTION_ARG_NONE, &opt_replace, "Completely replace all files in /usr (known broken)", NULL },
   { NULL }
 };
 
diff --git a/src/daemon/rpmostreed-transaction-livefs.c b/src/daemon/rpmostreed-transaction-livefs.c
index 0473068ddb..6e312a3156 100644
--- a/src/daemon/rpmostreed-transaction-livefs.c
+++ b/src/daemon/rpmostreed-transaction-livefs.c
@@ -732,11 +732,11 @@ livefs_transaction_execute_inner (LiveFsTransaction *self,
   if (!replacing)
     {
       if (!adds_packages)
-        return glnx_throw (error, "No packages added, and replacement not enabled");
+        return glnx_throw (error, "No packages added; cannot apply");
       if (modifies_packages)
-        return glnx_throw (error, "livefs update modifies/replaces packages and replacement not enabled");
+        return glnx_throw (error, "livefs update modifies/replaces packages; cannot apply");
       else if ((diff->flags & COMMIT_DIFF_FLAGS_REPLACEMENT) > 0)
-        return glnx_throw (error, "livefs update would replace files in /usr, and replacement not enabled");
+        return glnx_throw (error, "livefs update would replace files in /usr; cannot apply");
     }
   if ((self->flags & RPMOSTREE_TRANSACTION_LIVEFS_FLAG_DRY_RUN) > 0)
     {
diff --git a/tests/vmcheck/test-livefs.sh b/tests/vmcheck/test-livefs.sh
index abb34e8011..fdc63d1e71 100755
--- a/tests/vmcheck/test-livefs.sh
+++ b/tests/vmcheck/test-livefs.sh
@@ -184,7 +184,7 @@ vm_rpmostree ex livefs -n --replace &> livefs-analysis.txt
 assert_file_has_content livefs-analysis.txt 'livefs OK (dry run)'
 vm_assert_status_jq '.deployments|length == 2' '.deployments[0]["live-replaced"]|not' \
                     '.deployments[1]["live-replaced"]|not'
-vm_rpmostree ex livefs --replace
+vm_rpmostree ex livefs --dangerous-do-not-use-replace
 vm_cmd cat /${dummy_file_to_modify} > dummyfile.txt
 assert_file_has_content dummyfile.txt "JUST KIDDING DO WHATEVER"
 vm_cmd test -f /usr/newsubdir/date.txt
